#---------------------------------------------------------------------------
#  $Name: arts++-1-1-a12 $
#  $Id: Makefile.in,v 1.7 2006/09/08 19:51:54 youngh Exp $
#---------------------------------------------------------------------------

all: classes/lib/libArts.a apps

classes/lib/libArts.a::
	cd classes; ${MAKE}

apps: classes/lib/libArts.a
	cd apps; ${MAKE}

clean::
	cd classes; ${MAKE} clean
	cd apps; ${MAKE} clean

strip: classes/lib/libArts.a
	cd apps; ${MAKE} strip

install: classes/lib/libArts.a apps
	cd classes; ${MAKE} install
	cd apps; ${MAKE} install
	@echo '==============================================================='
	@echo 'Installation complete'
	@echo '---------------------------------------------------------------'
	@echo 'You will want to add @bindir@ to PATH in your'
	@echo 'environment, and add @mandir@ to MANPATH in your'
	@echo 'environment.  In sh or ksh:'
	@echo
	@echo '   PATH=$${PATH}:@bindir@ ; export PATH'
	@echo '   MANPATH=$${MANPATH}:@mandir@ ; export MANPATH'
	@echo
	@echo 'In csh or tcsh or similar shells:'
	@echo
	@echo '   setenv PATH $${PATH}:@bindir@'
	@echo '   setenv MANPATH $${MANPATH}:@mandir@'
	@echo
	@echo '==============================================================='

SRCDIST=arts++-$(VER)
srcdist:
	@if test "x$(VER)" = "x"; then \
	    echo "To make a source release, use a command of the form:"; \
	    echo "  make srcdist VER=<release_version> [REV=<cvs_revision>]"; \
	    echo "For example:"; \
	    echo "  make srcdist VER=1.1.a12 REV=arts++-1-1-a12"; \
	    echo "REV defaults to 'HEAD'."; \
	    false; \
	fi
	if [ -d $(SRCDIST) ] ; then \
	    rm -rf $(SRCDIST); \
	fi
	REV="$(REV)" cvs export -r$${REV:-HEAD} -d $(SRCDIST) arts
	cd $(SRCDIST) && \
	    { test -d caida-config || cvs export -rHEAD caida-config; } && \
	    rm -r bsd.ports && \
	    autoconf
	    tar -cf $(SRCDIST).tar $(SRCDIST)
	if [ -f ${SRCDIST}.tar.gz ] ; \
	    then rm ${SRCDIST}.tar.gz; \
	fi
	gzip $(SRCDIST).tar
